<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InvalidateLoginTokens_v2 StructType
 * @subpackage Structs
 */
class InvalidateLoginTokens_v2 extends AbstractStructBase
{
    /**
     * The loginName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $loginName;
    /**
     * Constructor method for InvalidateLoginTokens_v2
     * @uses InvalidateLoginTokens_v2::setLoginName()
     * @param string $loginName
     */
    public function __construct($loginName = null)
    {
        $this
            ->setLoginName($loginName);
    }
    /**
     * Get loginName value
     * @return string|null
     */
    public function getLoginName()
    {
        return $this->loginName;
    }
    /**
     * Set loginName value
     * @param string $loginName
     * @return \CustomerManagement\StructType\InvalidateLoginTokens_v2
     */
    public function setLoginName($loginName = null)
    {
        // validation for constraint: string
        if (!is_null($loginName) && !is_string($loginName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($loginName, true), gettype($loginName)), __LINE__);
        }
        $this->loginName = $loginName;
        return $this;
    }
}
